<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/pointer_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/17/2017  pointer_info_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Functions to interpret pointer values.
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>Entry points in pointer_info_:
<span id="L8" class="LineNr"> 8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>:Entry:  pointer_info_:  02/17/2017  pointer_info_
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Function:
<span id="L15" class="LineNr">15 </span>This function returns information about a pointer value.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>dcl pointer_info_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> returns<span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>76<span class="textRainbow_lv1_p0">)</span> var<span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>data = pointer_info_<span class="textRainbow_lv0_p0">(</span>pointer_value<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Arguments:
<span id="L24" class="LineNr">24 </span>pointer_value
<span id="L25" class="LineNr">25 </span>   is an aligned pointer value to be investigated.<span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>code
<span id="L27" class="LineNr">27 </span>   is a standard status code.<span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>  If nonzero, then an empty
<span id="L28" class="LineNr">28 </span>   string is returned as the data.
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>:Entry:  location:  02/17/2017  pointer_info_$location
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>Function:
<span id="L35" class="LineNr">35 </span>This function returns information about pointer storage <span class="textRainbow_lv0_p0">(</span>a pair of
<span id="L36" class="LineNr">36 </span>words<span class="textRainbow_lv0_p0">)</span> at a specified location.  It checks for a pointer modifier
<span id="L37" class="LineNr">37 </span>at the end of the first word.
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>Syntax:
<span id="L41" class="LineNr">41 </span>dcl pointer_info_$location entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>
<span id="L42" class="LineNr">42 </span>       returns<span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>76<span class="textRainbow_lv1_p0">)</span> var<span class="textRainbow_lv0_p0">)</span>;
<span id="L43" class="LineNr">43 </span>data = pointer_info_$location<span class="textRainbow_lv0_p0">(</span>pointer_loc<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L44" class="LineNr">44 </span>
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>Arguments:
<span id="L47" class="LineNr">47 </span>pointer_loc
<span id="L48" class="LineNr">48 </span>   is an aligned pointer to the storage location containing the
<span id="L49" class="LineNr">49 </span>   pointer to be investigated.  This storage must begin on an even
<span id="L50" class="LineNr">50 </span>   word boundary.  The pair of words at that location are
<span id="L51" class="LineNr">51 </span>   investigated as a possible pointer value, having either an ITS
<span id="L52" class="LineNr">52 </span>   <span class="textRainbow_lv0_p0">(</span>octal 43<span class="textRainbow_lv0_p0">)</span> or Fault Tag 2 <span class="textRainbow_lv0_p0">(</span>octal 46<span class="textRainbow_lv0_p0">)</span> modifier at the end of the
<span id="L53" class="LineNr">53 </span>   first word in the pair.
<span id="L54" class="LineNr">54 </span>code
<span id="L55" class="LineNr">55 </span>   is a standard status code.<span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>  If nonzero, then an empty
<span id="L56" class="LineNr">56 </span>   string is returned as the data.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
